/*
===============================================================================
 Name        : main.c
 Author      : 
 Version     :
 Copyright   : Copyright (C) 
 Description : main definition
===============================================================================
*/

#ifdef __USE_CMSIS
#include "LPC17xx.h"
#include "lpc17xx_gpio.h"
#include "lpc17xx_pinsel.h"
#include "lpc17xx_timer.h"
#include "lpc17xx_nvic.h"
#endif

#include <cr_section_macros.h>
#include <NXP/crp.h>

//define
#define SALIDA 		1
#define ENTRADA 	0
#define ESPERA		500
#define RISING		0
#define FALLING		1

// Variable to store CRP value in. Will be placed automatically
// by the linker when "Enable Code Read Protect" selected.
// See crp.h header for more information
__CRP const unsigned int CRP_WORD = CRP_NO_CRP ;

Bool i=FALSE;

int main(void) {
	// variable local
	uint16_t a=0x01;
	GPIO_SetDir(0,0xFF,SALIDA);
	GPIO_SetDir(0,0x600,ENTRADA);
	NVIC_EnableIRQ(EINT3_IRQn);
	GPIO_IntCmd(0,0x600,RISING);

	PINSEL_CFG_Type PINSELCfg;
	PINSELCfg.Pinnum = PINSEL_PIN_9;
	PINSELCfg.Pinmode = PINSEL_PINMODE_PULLDOWN;
	PINSEL_ConfigPin(&PINSELCfg);
	PINSELCfg.Pinnum = PINSEL_PIN_10;
	PINSEL_ConfigPin(&PINSELCfg);

	for(;;) {

		while(i==FALSE) {
			a=0b01;
			while(a!=0b100000000) {
				GPIO_SetValue(0,a);
				Timer0_Wait(ESPERA);
				GPIO_ClearValue(0,0xFF);
				a<<=1; } }

		while(i==TRUE) {
			a=0x80;
			while(a!=0b00) {
				GPIO_SetValue(0,a);
				Timer0_Wait(ESPERA);
				GPIO_ClearValue(0,0xFF);
				a>>=1; }  } }

	return 0 ; }

extern void EINT3_IRQHandler(void) {

	if (GPIO_GetIntStatus(0,9,RISING))
		i=TRUE;
	if (GPIO_GetIntStatus(0,10,RISING))
		i=FALSE;
	GPIO_ClearInt(0,0x600); }
