/*
===============================================================================
 Name        : main.c
 Author      : 
 Version     :
 Copyright   : Copyright (C) 
 Description : main definition
===============================================================================
*/

#ifdef __USE_CMSIS
#include "LPC17xx.h"
#include "lpc17xx_pwm.h"
#include "lpc17xx_pinsel.h"
#include "lpc17xx_timer.h"
#endif

#include <cr_section_macros.h>
#include <NXP/crp.h>

// Variable to store CRP value in. Will be placed automatically
// by the linker when "Enable Code Read Protect" selected.
// See crp.h header for more information
__CRP const unsigned int CRP_WORD = CRP_NO_CRP ;

// TODO: insert other include files here

// TODO: insert other definitions and declarations here

int main(void) {
	
	PWM_TIMERCFG_Type PWMTimer;
	PWMTimer.PrescaleOption =	PWM_TIMER_PRESCALE_USVAL;
	PWMTimer.PrescaleValue =	1;

	PWM_MATCHCFG_Type PWMMatch;
	PWMMatch.MatchChannel = 0;
	PWMMatch.IntOnMatch = DISABLE;
	PWMMatch.StopOnMatch = DISABLE;
	PWMMatch.ResetOnMatch = ENABLE;

	PINSEL_CFG_Type PWMPinsel;
	PWMPinsel.Portnum = PINSEL_PORT_2;
	PWMPinsel.Pinnum = PINSEL_PIN_0;
	PWMPinsel.Funcnum = PINSEL_FUNC_1;
	PINSEL_ConfigPin(&PWMPinsel);

	PWM_Init(LPC_PWM1,PWM_MODE_TIMER,&PWMTimer);
	PWM_ConfigMatch(LPC_PWM1,&PWMMatch);
	PWM_MatchUpdate(LPC_PWM1,0,1000,PWM_MATCH_UPDATE_NOW);
	PWM_MatchUpdate(LPC_PWM1,1,1,PWM_MATCH_UPDATE_NEXT_RST);
	PWM_ChannelCmd(LPC_PWM1,1,ENABLE);
	PWM_Cmd(LPC_PWM1,ENABLE);
	PWM_ResetCounter(LPC_PWM1);
	PWM_CounterCmd(LPC_PWM1,ENABLE);

	int16_t i=0x01;
	for(;;) {
		PWM_MatchUpdate(LPC_PWM1,1,i,PWM_MATCH_UPDATE_NEXT_RST);
		i++;
		if(i>=999)
			i=0x01;
		Timer0_Wait(1);
	}
	return 0 ;
}
