/*
===============================================================================
 Name        : main.c
 Author      : 
 Version     :
 Copyright   : Copyright (C) 
 Description : main definition
===============================================================================
*/

#ifdef __USE_CMSIS
#include "LPC17xx.h"
#include "lpc17xx_rtc.h"
#include "lpc17xx_gpio.h"
#include "lpc17xx_nvic.h"
#endif

#include <cr_section_macros.h>
#include <NXP/crp.h>

// Variable to store CRP value in. Will be placed automatically
// by the linker when "Enable Code Read Protect" selected.
// See crp.h header for more information
__CRP const unsigned int CRP_WORD = CRP_NO_CRP ;

// TODO: insert other include files here

// TODO: insert other definitions and declarations here

#define SALIDA 	1
#define ENTRADA 0

RTC_TIME_Type RTCGetTime;

int main(void) {
	RTC_TIME_Type RTCTime;
	RTC_TIME_Type RTCAlarm;


	RTCTime.SEC = 	00;
	RTCTime.MIN= 	01;
	RTCTime.HOUR = 	23;

	RTCAlarm.SEC=	05;
	RTCAlarm.MIN=	02;
	RTCAlarm.HOUR=	23;

	GPIO_SetDir(0,0x1ff,SALIDA);

	NVIC_EnableIRQ(RTC_IRQn);
	RTC_Init(LPC_RTC);
	RTC_SetFullTime(LPC_RTC,&RTCTime);
	RTC_SetFullAlarmTime(LPC_RTC,&RTCAlarm);
	RTC_CntIncrIntConfig(LPC_RTC,RTC_TIMETYPE_MINUTE,ENABLE);
	RTC_AlarmIntConfig(LPC_RTC,RTC_TIMETYPE_SECOND,ENABLE);
	RTC_AlarmIntConfig(LPC_RTC,RTC_TIMETYPE_MINUTE,ENABLE);
	RTC_AlarmIntConfig(LPC_RTC,RTC_TIMETYPE_HOUR,ENABLE);
	RTC_Cmd(LPC_RTC,ENABLE);
	for(;;);
	return 0 ;
}


extern void RTC_IRQHandler (void) {
	if (RTC_GetIntPending(LPC_RTC,RTC_INT_COUNTER_INCREASE)){
		RTC_GetFullTime(LPC_RTC,&RTCGetTime);
		GPIO_ClearValue(0,0x0ff);
		GPIO_SetValue(0,(RTCGetTime.MIN));
		RTC_ClearIntPending(LPC_RTC,RTC_INT_ALARM);
	}
	else {
		GPIO_SetValue(0,0x100);
		RTC_ClearIntPending(LPC_RTC,RTC_INT_COUNTER_INCREASE);
	}
}
